/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:08:50pm
Filepath: scripts\Engines\DataStorage\events.cs
Lines of code: 21

Description: 

***********************************************************/


using Server;
using System;

namespace Server.DataStorage
{
	public class Events
	{
		public static void Initialize()
		{
			EventSink.SqlBufferSaveEvent += new SqlBufferSaveEventHandler( OnBufferSave );
			EventSink.SqlSnapShotEvent += new SqlSnapShotEventHandler( OnSnapshot );
		}


		
		
		
		//This gets called every minute durring the buffer save process
		public static void OnBufferSave()
		{		
			Server.DonationSystem.DonationHandler.HandleDonationEntry();	
		
		}
		
		
		
		public static void OnSnapshot()
		{
			Server.DonationSystem.DonationHandler.HandlePendingDonationEntry();
		
		}



	}
}